/*******************************************************************************
 * FoxStorePreviewNode_Camo generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxStorePreviewNode_Camo extends FoxStorePreviewNode_CharacterBase within FoxStoreUIItemDetail
    config(UI);

function SetupGear(out ProfileGearInfo GearInfo)
{
    local int NewIndex;
    local FoxLoadoutInfo MyLoadout;

    MyLoadout = FoxPRI(Outer.Outer.Outer.Outer.PCOwner.PlayerReplicationInfo).Loadout;
    // End:0xE7
    if(MyLoadout.HasAvatar())
    {
        GearInfo = MyLoadout.TheDefaultGear;
    }
    // End:0x110
    else
    {
        GearInfo = MyLoadout.GetCurrentGearInfo();
    }
    NewIndex = class'FoxUnlockInfo'.static.GetBodyCamoIndexFromID(ItemUnlockID);
    // End:0x179
    if(NewIndex >= 0)
    {
        GearInfo.BodyCamoID = byte(NewIndex);
    }
    //return;    
}

function FoxArmoryUI.EArmorItem GetCustomItemType()
{
    return 4;
    //return ReturnValue;    
}
